[general]
* **Java VM version 8 embedded:** The Java VM version 8 is embedded with i-net Designer and Report Server on Windows and Mac. It will be installed and used if no Java VM version 8 was found on the machine.
* **.NET and Java API in ReportServer included:** During setup of the report server using the Custom installation type it is possible to install the i-net Clear Reports .NET API which enables you to embed i-net Clear Reports into an .NET application.
* **Configuration Manager reimplemented / redesigned:** To increase and simplify the configuration of i-net Clear Reports, the configuration manager has been redesigned and reimplemented. The assignment of properties to groups was improved. Also a "simple" and "advanced" view was introduced.
* **Report Permissions in Repository:** The report permissions can now be configured in the category "Permissions" (All reports) and in the Repository Browser. This simplifies the administration of user permissions. The rights on a folder in the repository will now be inherited by subfolders. It is now possible to list files in the repository when only an execution permission is granted. The read permission is not necessary anymore to list the report files.
* **Record Selection Formula optimized:** The record selection formula is now divided into a part that is executable on the database and a part that is not executable on the database. The part that is executable on the database will be added to the Where clause of the SQL statement. The other part will be executed in the memory. In previous versions the complete record selection formula was executed in memory if a part of it was not executable on the database.
* **Report URL parameter "reports" added:** With this new property, it is possible to render multiple reports as one output file, e.g. PDF file.
* **Output format Excel spreadsheet (XLSX) added:** It is now possible to export a report into the newer Microsoft Excel spreadsheet format XLSX. The output format XLS is deprecated and will be removed in one of the next versions. 
* **Report URL parameter "sproc" is deprecated:** Instead of the sproc parameter you can use any of the prompt parameters in the report URL to set the parameter field value for a stored procedure. 
* **Report URL parameter "queryfile" is no longer supported:** If you have report files with query files then you need to migrate it so that they use a datasource.

[general:de]
* **Java VM Version 8 eingebettet:** Die Java VM Version 8 ist in i-net Designer und Report Server auf Windows und Mac eingebettet. Sie wird installiert und verwendet, wenn keine Java VM Version 8 auf dem Rechner gefunden wurde.
* **.NET- und Java-API in ReportServer enthalten:** Während der Einrichtung des ReportServers unter Verwendung der benutzerdefinierten Installationsart ist es möglich, die i-net Clear Reports .NET-API zu installieren, mit der Sie i-net Clear Reports in eine .NET-Anwendung einbetten können.
* **Konfigurationsmanager neu implementiert / neu gestaltet:** Um die Konfiguration von i-net Clear Reports zu verbessern und zu vereinfachen, wurde der Konfigurationsmanager neu gestaltet und neu implementiert. Die Zuordnung von Eigenschaften zu Gruppen wurde verbessert. Außerdem wurde eine "einfache" und eine "erweiterte" Ansicht eingeführt.
* **Berichtsberechtigungen im Repository:** Die Berichtsberechtigungen können nun in der Kategorie "Berechtigungen" (Alle Berichte) und im Repository Browser konfiguriert werden. Dies vereinfacht die Verwaltung der Benutzerberechtigungen. Die Rechte für einen Ordner im Repository werden nun an Unterordner vererbt. Es ist nun möglich, Dateien im Repository aufzulisten, wenn nur eine Ausführungsberechtigung erteilt wurde. Die Leseberechtigung ist nicht mehr erforderlich, um die Berichtsdateien aufzulisten.
* **Datensatzauswahlformel optimiert:** Die Datensatzauswahlformel ist nun in einen Teil, der auf der Datenbank ausführbar ist, und einen Teil, der nicht auf der Datenbank ausführbar ist, unterteilt. Der Teil, der auf der Datenbank ausführbar ist, wird der Where-Klausel der SQL-Anweisung hinzugefügt. Der andere Teil wird im Speicher ausgeführt. In früheren Versionen wurde die komplette Datensatzauswahlformel im Speicher ausgeführt, wenn ein Teil davon nicht in der Datenbank ausführbar war.
* **Report-URL-Parameter "reports" hinzugefügt:** Mit dieser neuen Eigenschaft ist es möglich, mehrere Berichte als eine Ausgabedatei, z.B. als PDF-Datei, darzustellen.
* **Ausgabeformat Excel-Tabelle (XLSX) hinzugefügt:** Es ist nun möglich, einen Bericht in das neuere Microsoft Excel-Tabellenformat XLSX zu exportieren. Das Ausgabeformat XLS ist veraltet und wird in einer der nächsten Versionen entfernt werden.
* **Report-URL-Parameter "sproc" ist veraltet:** Anstelle des sproc-Parameters können Sie einen der Prompt-Parameter in der Report-URL verwenden, um den Parameterfeldwert für eine gespeicherte Prozedur festzulegen.
* **Berichts-URL-Parameter "queryfile" wird nicht mehr unterstützt:** Wenn Sie Berichtsdateien mit Abfragedateien haben, müssen Sie sie so migrieren, dass sie eine Datenquelle verwenden.

[changes]
The Java VM version 8 is embedded with i-net Designer and Report Server on Windows and Mac. It will be installed and used if no Java VM version 8 was found on the machine. During setup of the report server using the Custom installation type it is possible to install the i-net Clear Reports .NET API. This allows to embed i-net Clear Reports into an .NET application.

* Report URL parameter "reports" added - the value should be multiple reports you want to render as one output, e.g. PDF-file. Separate each report by semi-colon.
* XLSX export for newer Microsoft Excel versions added.
* Webserver plugin added.
* `CHAR` and `NCHAR` values are also truncated for dynamic prompt values.
* Limited the number of threads used by the Jetty webserver on a high cpu count machine to prevent `IllegalStateException: Insufficient max threads in ThreadPool`.
* The report URL will be resolved after `checkProperties`. This makes it easier to work with your own address space.
* Jetty version updated to version 9.2.10.
* It is now supported to embed OTF fonts in PDF export and Java report viewer.
* The record selection formula is now divided into a part that is executable on the database and a part that is not executable on the database. The part that is executable on the database will be added to the Where clause of the SQL statement. The other part will be executed in the memory. In previous versions the complete record selection formula was executed in memory if a part of it was not executable on the database.
* If both clearreports.config and clearreports.configfile are set in the web.xml file of the i-net Clear Reports servlet then clearreports.configfile is used as fallback only if the configuration in clearreports.config was not found.
* The PHP Proxy has been removed. The Apache setup now requires the additional modules "rewrite", "proxy_http" and "headers" and uses the internal mechanism to forward requests via Apache to i-net Clear Reports.

#### Changed Behavior
* To prevent an `OutOfMemoryError`, the maximum number of errors in `EngineState` was limited to 10.
* Formula ADD operation is now more strict: Strings can only be added to strings. Hidden internal type conversions are no longer possible.
* Formula fields with evaluation time `BeforeReading` that are included in the record selection filter can be executed on the database even if they contain local variables.
* For Oracle database, the column name will be used as column alias instead of comment.
* Support for database functions of MySQL v5 and greater added.
* When `quotesToLowerCase` (Quote Database Identifier) property is set in datasource configuration, database identifiers are always quoted.
* It is now supported to use cascading parameters from different database tables. 
* The method `Datasource.getConnection()` has a call counter now. You need to call `close()` as many times as you call `getConnection()`. Otherwise you will have a connection leak. We recommend using the try-with-resources feature introduced in Java 7: 
```java
try( Connection conn = ds.getConnection() ) {
// some stuff
}
```

#### API Changes
* Classes, methods and constants that had been set to deprecated in version 12 and older have been removed. 
* Added Classes or Interfaces:
  * `com.inet.report.EngineBundle`
  * `com.inet.report.database.fetch.DataCollector`
  * `com.inet.report.database.fetch.FetchTables`
  * `com.inet.report.formula.UserDefinedFunction`
* Added Methods:
  * `SwingViewerContext.SwingViewerContext(Component)`

#### Deprecations
* Report URL parameter `sproc`: You can use any of the prompt parameters in the report URL to set the parameter field value for a stored procedure instead.
* Report URL parameter `queryfile`: If you have report files with query files then you need to migrate them so that they use a datasource.

### Java report viewer
* XLSX export added to export dialog.
* It is now possible to switch between the prompts in the prompt request dialog using `Ctrl+Alt+P` (for Previous) and `Ctrl+Alt+N` (for Next).
* Support Open Type Fonts.
* Embedded multipage formats, like PDF, correctly displayed.
* Font data for fonts with different styles are embedded only if the data differs. 

### HTML Report Viewer
* Multiple page formats in the HTML report viewer and other export formats supported when using multiple reports.
* XLSX export added to export dialog.
* Introduce permanent link to the export menu of the HTML VIewer. It allows copying the current export configuration. The button can be displayed via report URL parameter.
* The HTML report viewer supports Form Authentication within the viewer itself instead of before the viewer is being displayed.
* IPv6 supported.
* Timezone support added to HTML report viewer. This is only supported by the Chrome browser currently.
* Subreport position in section with enabled "Underlay Following Section" was incorrect. 

### i-net Designer
* Problem Finder: Added rule to warn on multi-section elements which cannot be rendered because it starts in an "underlay following" section. 
* Alpha-numeric sorting is now available for interactive sorting and groups.
* New rule added to the problem finder - giving a warning for identical overlapping elements (which can happen due to Copy & Paste).
* Properties "Disable filtering" and "Disable sorting" removed from report property dialog. They will be displayed only if the properties are already set in the current report.
* Parameter Properties: Double-click to add a default value for a range prompt - this opens the add range dialog.

### Configuration Manager
To increase and simplify the configuration of i-net Clear Reports, the configuration manager has been redesigned and reimplemented. The assignment of properties to groups was improved. Also a "simple" and "advanced" view was introduced.

* Simple / Advanced view added. Properties were divided in different views to simplify the configuration.
* For a better understanding properties were partially move into other groups.
* All available users and groups are displayed in the drop down box of category permissions.
* The categories System Permissions and Report Permissions were combined into the category: Permissions. In the category Permissions it is now possible to specify which user and/or groups can execute all reports. The permissions for repository reports are specified in the Repository Browser. 

### Repository
* Permissions in repository browser changed: Files and folders are now visible if the user have the execution right for this folder. Permissions are inherited to sub folders and can be overwritten in a sub folder. 

### Ad Hoc Reporting
* Permission for 'Remote Designer' now includes (former) permissions for 'Remote Datasources' as well.
* In ad hoc reporting the user is now allowed to use all ad hoc templates and ad hoc dataviews unless a repository is used as storage and report permissions are set in the report repository. 

### Statistics
* If the 'download' of a cached report causes a new cache-entry (because a different user already requested the same report or similar) then the download shows as 'Run report again' to make clear that the report will be rendered again.
* Benchmark widget added. It can be used to test the server utilization and speed between client and server or server and database.
* Category "System Dumps" added. It allows you to download a memory dump or thread dump of the report server. 

### .NET Edition
* The .NET edition is not available anymore. During setup of the report server using the "Custom" installation type, it is possible to install the i-net Clear Reports .NET API with which it is possible to embed i-net Clear Reports into a .NET application.

[changes:de]
Die Java VM Version 8 ist in i-net Designer und Report Server auf Windows und Mac integriert. Sie wird installiert und verwendet, wenn keine Java VM Version 8 auf dem Rechner gefunden wurde. Während der Einrichtung des Berichtsservers unter Verwendung der benutzerdefinierten Installationsart ist es möglich, die i-net Clear Reports .NET API zu installieren. Dies ermöglicht die Einbettung von i-net Clear Reports in eine .NET-Anwendung.

* Berichts-URL-Parameter "reports" hinzugefügt - der Wert sollte mehrere Berichte enthalten, die als eine Ausgabe, z.B. als PDF-Datei, dargestellt werden sollen. Trennen Sie jeden Bericht durch ein Semikolon.
* XLSX-Export für neuere Microsoft Excel-Versionen hinzugefügt.
* Webserver-Plugin hinzugefügt.
* die `CHAR` und `NCHAR` Werte werden auch für dynamische Prompt-Werte abgeschnitten.
* Die Anzahl der Threads, die vom Jetty-Webserver auf einer Maschine mit hoher CPU-Anzahl verwendet werden, wurde begrenzt, um die `IllegalStateException` zu verhindern: Unzureichende Anzahl von Threads im ThreadPool` zu verhindern.
* Die URL des Berichts wird nach `checkProperties` aufgelöst. Das macht es einfacher, mit dem eigenen Adressraum zu arbeiten.
* Jetty Version aktualisiert auf Version 9.2.10.
* Die Einbettung von OTF-Schriften im PDF-Export und im Java-Report-Viewer wird nun unterstützt.
* Die Formel für die Datensatzauswahl ist jetzt in einen Teil, der in der Datenbank ausführbar ist, und einen Teil, der nicht in der Datenbank ausführbar ist, unterteilt. Der Teil, der in der Datenbank ausführbar ist, wird in die Where-Klausel der SQL-Anweisung eingefügt. Der andere Teil wird im Speicher ausgeführt. In früheren Versionen wurde die komplette Datensatzauswahlformel im Speicher ausgeführt, wenn ein Teil davon in der Datenbank nicht ausführbar war.
* Wenn sowohl clearreports.config als auch clearreports.configfile in der Datei web.xml des i-net Clear Reports Servlet gesetzt sind, wird clearreports.configfile nur dann als Fallback verwendet, wenn die Konfiguration in clearreports.config nicht gefunden wurde.
* Der PHP Proxy wurde entfernt. Das Apache-Setup benötigt nun die zusätzlichen Module "rewrite", "proxy_http" und "headers" und nutzt den internen Mechanismus, um Anfragen über Apache an i-net Clear Reports weiterzuleiten.

#### Geändertes Verhalten
* Um einen `OutOfMemoryError` zu verhindern, wurde die maximale Anzahl der Fehler in `EngineState` auf 10 begrenzt.
* Die ADD-Operation von Formeln ist jetzt strenger: Strings können nur zu Strings hinzugefügt werden. Versteckte interne Typkonvertierungen sind nicht mehr möglich.
* Formelfelder mit der Auswertungszeit `BeforeReading`, die im Datensatzauswahlfilter enthalten sind, können auf der Datenbank ausgeführt werden, auch wenn sie lokale Variablen enthalten.
* Für Oracle-Datenbanken wird der Spaltenname als Spaltenalias anstelle des Kommentars verwendet.
* Unterstützung für Datenbankfunktionen von MySQL v5 und höher hinzugefügt.
* Wenn die Eigenschaft `quotesToLowerCase` (Quote Database Identifier) in der Datenquellenkonfiguration gesetzt ist, werden die Datenbankbezeichner immer in Anführungszeichen gesetzt.
* Es wird nun unterstützt, kaskadierende Parameter aus verschiedenen Datenbanktabellen zu verwenden.
* Die Methode `Datasource.getConnection()` hat jetzt einen Aufrufzähler. Sie müssen `close()` so oft aufrufen, wie Sie `getConnection()` aufrufen. Andernfalls haben Sie ein Verbindungsleck. Wir empfehlen die Verwendung der try-with-resources-Funktion, die in Java 7 eingeführt wurde:
```java
try( Verbindung conn = ds.getConnection() ) {
// einige Dinge
}
```

#### API-Änderungen
* Klassen, Methoden und Konstanten, die in Version 12 und älter auf "veraltet" gesetzt waren, wurden entfernt.
* Hinzugefügte Klassen oder Interfaces:
  * `com.inet.report.EngineBundle`
  * `com.inet.report.database.fetch.DataCollector`
  * `com.inet.report.database.fetch.FetchTables`
  * `com.inet.report.formula.UserDefinedFunction`
* Methoden hinzugefügt:
  * `SwingViewerContext.SwingViewerContext(Component)`

#### Verwerfungen
* Bericht URL Parameter `sproc`: Sie können jeden der Prompt-Parameter in der Berichts-URL verwenden, um stattdessen den Parameterfeldwert für eine gespeicherte Prozedur festzulegen.
* Bericht-URL-Parameter `queryfile`: Wenn Sie Berichtsdateien mit Abfragedateien haben, müssen Sie diese so migrieren, dass sie eine Datenquelle verwenden.

### Java-Berichtsbetrachter
* XLSX-Export zum Export-Dialog hinzugefügt.
* Es ist jetzt möglich, zwischen den Abfragen im Abfragedialog mit "Strg+Alt+P" (für Zurück) und "Strg+Alt+N" (für Weiter) zu wechseln.
* Unterstützung von Open Type-Schriften.
* Eingebettete mehrseitige Formate, wie PDF, werden korrekt angezeigt.
* Schriftdaten für Schriftarten mit unterschiedlichen Stilen werden nur dann eingebettet, wenn sich die Daten unterscheiden.

### HTML-Berichtsbetrachter
* Mehrere Seitenformate im HTML Report Viewer und andere Exportformate werden unterstützt, wenn mehrere Berichte verwendet werden.
* XLSX-Export zum Exportdialog hinzugefügt.
* Einführung eines permanenten Links in das Exportmenü des HTML-Viewers. Er ermöglicht das Kopieren der aktuellen Exportkonfiguration. Die Schaltfläche kann über den URL-Parameter des Berichts angezeigt werden.
* Der HTML-Bericht-Viewer unterstützt die Formular-Authentifizierung innerhalb des Viewers selbst und nicht mehr vor der Anzeige des Viewers.
* IPv6 wird unterstützt.
* Unterstützung für Zeitzonen wurde dem HTML-Bericht-Viewer hinzugefügt. Dies wird derzeit nur vom Chrome-Browser unterstützt.
* Die Position von Unterberichten in Abschnitten mit aktiviertem "Unterlegen nach Abschnitt" war nicht korrekt.

### i-net Designer
* Problemlöser: Es wurde eine Regel hinzugefügt, die vor mehrteiligen Elementen warnt, die nicht gerendert werden können, weil sie in einem "underlay following" Abschnitt beginnen.
* Alphanumerische Sortierung ist jetzt für interaktive Sortierung und Gruppen verfügbar.
* Neue Regel zum Problemfinder hinzugefügt - Warnung bei identischen überlappenden Elementen (was durch Copy & Paste passieren kann).
* Die Eigenschaften "Filterung deaktivieren" und "Sortierung deaktivieren" wurden aus dem Eigenschaftsdialog des Berichts entfernt. Sie werden nur noch angezeigt, wenn die Eigenschaften im aktuellen Bericht bereits eingestellt sind.
* Parameter-Eigenschaften: Doppelklicken Sie, um einen Standardwert für eine Bereichseingabeaufforderung hinzuzufügen - dies öffnet den Dialog "Bereich hinzufügen".

### Konfigurations-Manager
Um die Konfiguration von i-net Clear Reports zu verbessern und zu vereinfachen, wurde der Konfigurationsmanager umgestaltet und neu implementiert. Die Zuordnung von Eigenschaften zu Gruppen wurde verbessert. Außerdem wurde eine "einfache" und eine "erweiterte" Ansicht eingeführt.

* Einfache / Erweiterte Ansicht hinzugefügt. Eigenschaften wurden in verschiedene Ansichten unterteilt, um die Konfiguration zu vereinfachen.
* Für ein besseres Verständnis wurden Eigenschaften teilweise in andere Gruppen verschoben.
* Alle verfügbaren Benutzer und Gruppen werden in der Dropdown-Box der Kategorie Berechtigungen angezeigt.
* Die Kategorien Systemberechtigungen und Berichtsberechtigungen wurden zu einer Kategorie zusammengefasst: Berechtigungen. In der Kategorie Berechtigungen kann nun festgelegt werden, welche Benutzer und/oder Gruppen alle Berichte ausführen dürfen. Die Berechtigungen für Repository-Berichte werden im Repository Browser festgelegt.

### Repository
* Berechtigungen im Repository-Browser geändert: Dateien und Ordner sind jetzt sichtbar, wenn der Benutzer das Ausführungsrecht für diesen Ordner hat. Berechtigungen werden an Unterordner vererbt und können in einem Unterordner überschrieben werden.

### Ad Hoc Reporting
* Die Berechtigung für 'Remote Designer' beinhaltet nun auch die (ehemaligen) Berechtigungen für 'Remote Datasources'.
* In der Ad-hoc-Berichterstattung darf der Benutzer nun alle Ad-hoc-Vorlagen und Ad-hoc-Datenansichten verwenden, es sei denn, ein Repository wird als Speicherort verwendet und die Berichtsberechtigungen werden im Berichts-Repository festgelegt.

### Statistik
* Wenn der 'Download' eines Cache-Berichts einen neuen Cache-Eintrag verursacht (weil ein anderer Benutzer denselben Bericht bereits angefordert hat o.ä.), wird der Download als 'Bericht erneut ausführen' angezeigt, um deutlich zu machen, dass der Bericht erneut gerendert wird.
* Benchmark-Widget hinzugefügt. Es kann verwendet werden, um die Serverauslastung und Geschwindigkeit zwischen Client und Server oder Server und Datenbank zu testen.
* Kategorie "System-Dumps" hinzugefügt. Sie ermöglicht das Herunterladen eines Speicherabbilds oder eines Thread-Dumps des Berichtsservers.

### .NET-Ausgabe
* Die .NET Edition ist nicht mehr verfügbar. Bei der Einrichtung des Berichtsservers mit dem Installationstyp "Benutzerdefiniert" ist es möglich, die i-net Clear Reports .NET API zu installieren, mit der es möglich ist, i-net Clear Reports in eine .NET-Anwendung einzubetten.

[bugfixes]
* A summary field with enabled Running Total and with Evaluate "On Change Of" a group and Reset "On Change Of" any non-group field was not working correctly.
* The required hard disk space on a restart was reduced through reusing of files. 
* The method engine.getDefaultSqlOfAllStatements(boolean leavePrompts) ignored the leavePrompts parameter.
* In some export format, the height of a section was not increased even when it contained an image with enabled "Can Grow" property.
* PDF form fields did not work correctly in subreports.
* HTML export:
  * Representation of developer edition labels was incorrect.
  * Text was not displayed after multi-column layout in subreport.
* XLS export: ArrayIndexOutOfBoundsException occurred if an image in a section did not fit to a sheet. The section now starts on a new sheet.
* ODS export: Depending on the used cell distribution and the report design, rows with height of 0 were added.
* Cascading parameters were required to have the same value type as their parents which is not actually necessary.
* There were multiple issues with setting the parent references of cascading parameters.
* The report was not executed (The data source "xxx" is not defined.) if database connection was set programmatically using setConnection but the datasource on the report was designed does not exists on the server running the report engine.
* NullPointerException occurred with XLSX and ODS export if the Woodstox Stax XML API was in the classpath.
* The exception "SocketException: bad argument for IP_MULTICAST_IF2" occurred on Mac OSX if ethernet adapter "en0" was not available.

### Java report viewer
* If the Java report viewer was running at least with Java 7u65, then the printer properties dialog was not displayed after a click on the properties button in the print dialog.
* Printer Properties dialog was not displayed since Java VM version 7u65. The printer property dialog will be displayed now immediately with Java version 7u65 or newer.
* Characters were missing in charts legend.

### HTML Report Viewer
* Depending on the used browser, one of the following errors has occurred: "TypeError: k.elementStyle is not a function" or "Object doesn't support property or method 'elementStyle'".

### i-net Designer
* Summary Field Properties: An enabled Evaluate "On Change Of" for a group field was modified to "For Each Record" if Reset "On Change Of" was enabled for any other field with the exception of groups after the report was reopened.
* Although login type "Database Login" was set, the Database Wizard has not used this set connection.
* If Nimbus Look & Feel was used and the i-net Designer was running with Java 8, then selected tree nodes disappeared on selection, and a popup was not displayed with the text color.
* A disabled "Running Total" was not saved if "Evaluate - For Each Record" was enabled and "Reset - On change of" a field was enabled.
* It was possible to delete crosstab sub elements without deleting the crosstab.
* Database wizard:
  * It did not use the connection from a set LoginDatabase.
  * When prompts were used in SQL commands, they were not requested.
* SQL Editor: OK button was not enabled because of invalid SQL statement.
* GUI-lock occurred in the Report Wizard of the Remote Designer.
* Summary dialog: Removing the running total flag from a summary field was not saved if there was a reset field.
* Step-by-Step Tutorials were not displayed in Free Designer if it was used with Java 8.
* The key of the translated text defined with formula function "TranslateFixed" was not listed in the Language Editor.

[bugfixes:de]
* Ein Übersichtsfeld mit aktiviertem Running Total und mit Evaluate "On Change Of" einer Gruppe und Reset "On Change Of" eines Nicht-Gruppenfeldes funktionierte nicht korrekt.
* Der benötigte Festplattenplatz bei einem Neustart wurde durch die Wiederverwendung von Dateien reduziert.
* Die Methode engine.getDefaultSqlOfAllStatements(boolean leavePrompts) ignorierte den Parameter leavePrompts.
* In einigen Exportformaten wurde die Höhe eines Abschnitts nicht vergrößert, auch wenn er ein Bild mit aktivierter Eigenschaft "Kann wachsen" enthielt.
* PDF-Formularfelder funktionierten in Teilberichten nicht korrekt.
* HTML-Export:
  * Die Darstellung von Etiketten für Entwicklerausgaben war nicht korrekt.
  * Text wurde nach mehrspaltigem Layout in Unterberichten nicht angezeigt.
* XLS-Export: ArrayIndexOutOfBoundsException trat auf, wenn ein Bild in einem Abschnitt nicht auf ein Blatt passte. Der Abschnitt beginnt jetzt auf einem neuen Blatt.
* ODS-Export: Abhängig von der verwendeten Zellverteilung und dem Berichtsdesign wurden Zeilen mit einer Höhe von 0 hinzugefügt.
* Kaskadierende Parameter mussten den gleichen Wertetyp wie ihre Eltern haben, was eigentlich nicht notwendig ist.
* Es gab mehrere Probleme mit der Einstellung der Elternreferenzen von kaskadierenden Parametern.
* Der Bericht wurde nicht ausgeführt (Die Datenquelle "xxx" ist nicht definiert.), wenn die Datenbankverbindung programmatisch mit setConnection eingestellt wurde, die Datenquelle, für die der Bericht erstellt wurde, jedoch nicht auf dem Server existiert, auf dem die Berichts-Engine läuft.
* NullPointerException trat beim XLSX- und ODS-Export auf, wenn sich die Woodstox Stax XML API im Klassenpfad befand.
* Die Ausnahme "SocketException: bad argument for IP_MULTICAST_IF2" trat unter Mac OSX auf, wenn der Ethernet-Adapter "en0" nicht verfügbar war.

### Java-Berichtsbetrachter
* Wenn der Java-Report-Viewer mindestens mit Java 7u65 lief, dann wurde der Druckereigenschaften-Dialog nach einem Klick auf die Eigenschaften-Schaltfläche im Druckdialog nicht angezeigt.
* Der Druckereigenschaften-Dialog wurde seit Java VM Version 7u65 nicht mehr angezeigt. Ab Java Version 7u65 wird der Druckereigenschaften-Dialog nun sofort angezeigt.
* Es fehlten Zeichen in der Diagrammlegende.

### HTML-Berichtsbetrachter
* Je nach verwendetem Browser ist einer der folgenden Fehler aufgetreten: "TypeError: k.elementStyle ist keine Funktion" oder "Object doesn't support property or method 'elementStyle'".

### i-net Designer
* Zusammenfassung Feld Eigenschaften: Ein aktiviertes Evaluate "On Change Of" für ein Gruppenfeld wurde in "For Each Record" geändert, wenn Reset "On Change Of" für ein anderes Feld mit Ausnahme von Gruppen aktiviert war, nachdem der Bericht erneut geöffnet wurde.
* Obwohl der Anmeldetyp "Datenbankanmeldung" eingestellt war, hat der Datenbankassistent diese eingestellte Verbindung nicht verwendet.
* Wenn Nimbus Look & Feel verwendet wurde und der i-net Designer mit Java 8 lief, dann verschwanden ausgewählte Baumknoten bei der Auswahl, und ein Popup mit der Textfarbe wurde nicht angezeigt.
* Eine deaktivierte "Laufende Summe" wurde nicht gespeichert, wenn "Auswerten - Für jeden Datensatz" aktiviert war und "Zurücksetzen - Bei Änderung eines Feldes" aktiviert war.
* Es war möglich, Kreuztabellen-Unterelemente zu löschen, ohne die Kreuztabelle zu löschen.
* Datenbank-Assistent:
  * Es wurde nicht die Verbindung aus einer eingestellten LoginDatabase verwendet.
  * Wenn Prompts in SQL-Befehlen verwendet wurden, wurden sie nicht abgefragt.
* SQL-Editor: Die OK-Schaltfläche war aufgrund einer ungültigen SQL-Anweisung nicht aktiviert.
* GUI-Sperre trat im Berichtsassistenten des Remote Designers auf.
* Dialogfeld "Zusammenfassung": Das Entfernen des Kennzeichens für die laufende Summe aus einem Zusammenfassungsfeld wurde nicht gespeichert, wenn ein Rücksetzfeld vorhanden war.
* Schritt-für-Schritt-Tutorials wurden im Freien Designer nicht angezeigt, wenn er mit Java 8 verwendet wurde.
* Der Schlüssel des übersetzten Textes, der mit der Formelfunktion "TranslateFixed" definiert wurde, wurde im Spracheditor nicht angezeigt.

[security]

[security:de]
